Subject: Re: bug#5253: 23.1.90; --without-dbus fails

From: Chong Yidong <[email-masked]>
Date: Sat, 02 Jan 2010 16:39:00 -0500

Hi Jan, could you take a look at this bug report from a few weeks ago?
IIUC, Peter Dyballa is compiling on Mac OS X with the X11 and GTK
libraries, but I'm not sure how this differs from the usual GNU/Linux
case.

> When configuring  --without-dbus  this fails, because GConf is used
> and it has:
>
> checking GCONF_CFLAGS... -DORBIT2=1 -I/sw/include/gconf/2
>   -I/sw/include/orbit-2.0 -I/sw/include/dbus-1.0
>   -I/sw/lib/dbus-1.0/include -I/sw/include/glib-2.0
>   -I/sw/lib/glib-2.0/include
> checking GCONF_LIBS... -L/sw/lib -lgconf-2 -lORBit-2 -lm -ldbus-1
>   -lpthread -lgmodule-2.0 -lgthread-2.0 -lgobject-2.0 -lglib-2.0 -lintl
>   -liconv
>
> In the end it is reported:
>
>   Does Emacs use -lgpm?                                   no
>   Does Emacs use -ldbus?                                  no
>   Does Emacs use -lgconf?                                 yes
>   Does Emacs use -lfreetype?                              yes
>
> But then, when I look at the libraries used, libdbus *is* used. I can
> only get red of it completely when I also configure --without-gconf.